"use client";

import FooterSatker from "@/components/layout/navbar/FooterSatker";
import NavbarSatker from "@/components/layout/navbar/NavbarSatker";
import PPIDBanner from "@/components/layout/portal-ppid/ppid-banner";
import PPIDSatkerMain from "@/components/layout/portal-ppid/PPIDMainSatker";
import { usePathname } from "next/navigation";

export default function SatkerPage() {
  const pathname = usePathname();
  const url: string = pathname
    .split("satuan-kerja/")[1]
    .replace(/-/g, " ")
    .toUpperCase();

  return (
    <div className="text-black">
      <NavbarSatker />
      <PPIDBanner url={url} />
      <PPIDSatkerMain />
      <FooterSatker />
    </div>
  );
}
